[Libreoffice-commits] .: solenv/bin

Miklos Vajna vmiklos at kemper.freedesktop.org
Sun Jan 1 11:21:14 PST 2012


 solenv/bin/linkoo |   37 +++++++++++++++++++++++--------------
 1 file changed, 23 insertions(+), 14 deletions(-)

New commits:
commit 8033e3343b6e043abe2ef31ba2c90e3f5382ad25
Author: Miklos Vajna <vmiklos at frugalware.org>
Date:   Sun Jan 1 20:20:46 2012 +0100

    fix linkoo after moving INPATH to config_host.mk

diff --git a/solenv/bin/linkoo b/solenv/bin/linkoo
index 3008835..ade1ee7 100755
--- a/solenv/bin/linkoo
+++ b/solenv/bin/linkoo
@@ -146,20 +146,27 @@ sub sniff_target($)
 
     opendir ($dirhandle, $build_dir) || die "Can't open $build_dir";
     while ($fname = readdir ($dirhandle)) {
-	$fname =~ /Host.sh$/ || next;
-
-	my $file;
-	open ($file, "$build_dir/$fname") || die "Can't open $build_dir/$fname";
-	while (<$file>) {
-	    /\s*(\S+)\s*=\s*\"(\S+)\"/ || next;
-	    if ($1 eq 'INPATH') {
-		$target = $2;
-	    }
-	    if ($1 eq 'UPD') {
-		$libver = $2;
-	    }
-	}
-	close ($file);
+        if ($fname =~ /Host.sh$/) {
+            my $file;
+            open ($file, "$build_dir/$fname") || die "Can't open $build_dir/$fname";
+            while (<$file>) {
+                /\s*(\S+)\s*=\s*\"(\S+)\"/ || next;
+                if ($1 eq 'UPD') {
+                    $libver = $2;
+                }
+            }
+            close ($file);
+        } elsif ($fname =~ /host.mk$/) {
+            my $file;
+            open ($file, "$build_dir/$fname") || die "Can't open $build_dir/$fname";
+            while (<$file>) {
+                /\s*export\s*(\S+)\s*=\s*\"(\S+)\"/ || next;
+                if ($1 eq 'INPATH') {
+                    $target = $2;
+                }
+            }
+            close ($file);
+        }
     }
 
     closedir ($dirhandle);
@@ -438,3 +445,5 @@ if (!-f "$OOO_INSTALL/" . $brand_program_dir . "/ooenv") {
 evilness ('do');
 
 print "\nlinkoo finished, please don't forget to source ooenv before ./soffice.\n";
+
+# vim:set shiftwidth=4 softtabstop=4 expandtab:


More information about the Libreoffice-commits mailing list